%global pypi_name xmltodict
%global python3_pkgversion 39
%global __pytest /usr/bin/pytest-3.9

Name:               python39-xmltodict-epel
Version:            0.12.0
Release:            1%{?dist}
Summary:            Python to transform XML to JSON

License:            MIT
URL:                https://github.com/martinblech/xmltodict
Source0:            %{url}/archive/v%{version}/%{pypi_name}-%{version}.tar.gz
BuildArch:          noarch

%description
xmltodict is a Python module that makes working with XML feel like you are
working with JSON.  It's very fast (Expat-based) and has a streaming mode
with a small memory footprint, suitable for big XML dumps like Discogs or
Wikipedia.

%package -n python%{python3_pkgversion}-%{pypi_name}
Summary:            %{summary}

BuildRequires:      python%{python3_pkgversion}-devel
BuildRequires:      python%{python3_pkgversion}-rpm-macros
BuildRequires:      python%{python3_pkgversion}-setuptools
BuildRequires:      python%{python3_pkgversion}-pytest

%description -n python%{python3_pkgversion}-%{pypi_name}
xmltodict is a Python module that makes working with XML feel like you are
working with JSON.  It's very fast (Expat-based) and has a streaming mode
with a small memory footprint, suitable for big XML dumps like Discogs or
Wikipedia.

%prep
%autosetup -n %{pypi_name}-%{version}

%build
%py3_build

%install
%py3_install

%check
%pytest -v

%files -n python%{python3_pkgversion}-%{pypi_name}
%doc README.md
%license LICENSE
%{python3_sitelib}/%{pypi_name}.py
%{python3_sitelib}/%{pypi_name}-%{version}-*
%{python3_sitelib}/__pycache__/%{pypi_name}*

%changelog
* Sun Jun 26 2022 Orion Poplawski <orion@nwra.com> - 0.12.0-1
- Build for EPEL8 Python 3.9
